> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vintr.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve alias

> Retrieves the data associated with a given alias



## OpenAPI

````yaml /openapi.json get /{alias}
openapi: 3.0.3
info:
  title: Vintr Alias Resolution API
  description: Public API for resolving aliases to their associated location and metadata
  version: 1.0.0
  contact:
    name: Vintr API
servers:
  - url: https://api.vintr.xyz
    description: Production server
security: []
tags:
  - name: Aliases
    description: Alias resolution operations
paths:
  /{alias}:
    get:
      tags:
        - Aliases
      summary: Resolve alias
      description: Retrieves the data associated with a given alias
      operationId: resolveAlias
      parameters:
        - name: alias
          in: path
          required: true
          description: The alias to resolve (alphanumeric characters only)
          schema:
            type: string
            pattern: ^[a-zA-Z0-9]+$
            example: mylocation123
      responses:
        '200':
          description: Alias successfully resolved
          content:
            application/json:
              schema:
                type: object
                properties:
                  alias:
                    type: string
                    description: The full alias identifier
                    example: mylocation123#vintr
                  type:
                    type: string
                    enum:
                      - business
                      - individual
                    description: The type of location owner
                  location:
                    $ref: '#/components/schemas/Location'
                  createdAt:
                    type: string
                    format: date-time
                    description: ISO timestamp when the alias was created
                  updatedAt:
                    type: string
                    format: date-time
                    description: ISO timestamp when the alias was last updated
              examples:
                successful:
                  summary: Successful alias resolution
                  value:
                    alias: mylocation123#vintr
                    type: business
                    location:
                      address:
                        line1: 123 Main Street
                        line2: ''
                        line3: ''
                        city: San Francisco
                        state: CA
                        postal_code: '94105'
                        country: US
                      geo:
                        latitude: 37.7749
                        longitude: -122.4194
                        altitude: null
                        precision_meters: 10
                      instructions:
                        general: Main entrance on street level
                        delivery: Use loading dock around back
                        autonomous: Proceed to designated drone landing zone
                    createdAt: '2024-01-15T10:30:00Z'
                    updatedAt: '2024-01-15T10:30:00Z'
        '400':
          description: Invalid alias format
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid alias format
              examples:
                invalidFormat:
                  summary: Alias contains invalid characters
                  value:
                    error: Invalid alias format
        '404':
          description: Alias not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Not found
              examples:
                notFound:
                  summary: Alias does not exist
                  value:
                    error: Not found
components:
  schemas:
    Location:
      type: object
      description: >-
        Location details including address, coordinates, and delivery
        instructions
      properties:
        address:
          $ref: '#/components/schemas/Address'
        geo:
          $ref: '#/components/schemas/Geo'
        instructions:
          $ref: '#/components/schemas/Instructions'
      required:
        - address
        - geo
        - instructions
    Address:
      type: object
      description: Physical address information
      properties:
        line1:
          type: string
          description: Primary address line
          example: 123 Main Street
        line2:
          type: string
          description: Secondary address line (apartment, suite, etc.)
          default: ''
          example: Apt 4B
        line3:
          type: string
          description: Additional address information
          default: ''
          example: ''
        city:
          type: string
          description: City name
          example: San Francisco
        state:
          type: string
          description: State or province
          example: CA
        postal_code:
          type: string
          description: Postal or ZIP code
          example: '94105'
        country:
          type: string
          description: ISO country code
          example: US
      required:
        - line1
        - city
        - state
        - postal_code
        - country
    Geo:
      type: object
      description: Geographic coordinates and precision
      properties:
        latitude:
          type: number
          format: double
          description: Latitude coordinate
          example: 37.7749
        longitude:
          type: number
          format: double
          description: Longitude coordinate
          example: -122.4194
        altitude:
          type: number
          format: double
          nullable: true
          description: Altitude in meters (null if not applicable)
          example: null
        precision_meters:
          type: number
          description: Precision of the coordinates in meters
          example: 10
      required:
        - latitude
        - longitude
        - precision_meters
    Instructions:
      type: object
      description: Delivery and access instructions
      properties:
        general:
          type: string
          description: General access instructions
          example: Main entrance on street level
        delivery:
          type: string
          description: Specific delivery instructions
          example: Use loading dock around back
        autonomous:
          type: string
          description: Instructions for autonomous delivery systems
          example: Proceed to designated drone landing zone
      required:
        - general
        - delivery
        - autonomous

````